#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --output-file=requirements-dev.txt requirements-dev.in
#
aniso8601==9.0.1
    # via graphene
anyascii==0.3.2
    # via wagtail
anyio==3.7.1
    # via watchfiles
appnope==0.1.3
    # via ipython
argon2-cffi==21.3.0
    # via -r requirements.in
argon2-cffi-bindings==21.2.0
    # via argon2-cffi
asgiref==3.7.2
    # via django
astroid==2.15.6
    # via pylint
asttokens==2.2.1
    # via stack-data
async-timeout==4.0.2
    # via redis
attrs==23.1.0
    # via
    #   jsonschema
    #   referencing
    #   usort
authlib==1.2.1
    # via -r requirements.in
azure-core==1.29.1
    # via
    #   azure-identity
    #   azure-storage-blob
azure-identity==1.14.0
    # via -r requirements.in
azure-storage-blob==12.17.0
    # via -r requirements.in
backcall==0.2.0
    # via ipython
bcrypt==4.0.1
    # via paramiko
beautifulsoup4==4.11.2
    # via wagtail
black==23.7.0
    # via
    #   -r requirements-dev.in
    #   ufmt
boto3==1.28.23
    # via -r requirements.in
botocore==1.31.23
    # via
    #   boto3
    #   s3transfer
brotli==1.0.9
    # via whitenoise
build==0.10.0
    # via pip-tools
caprover-api @ git+https://github.com/iterativ/Caprover-API.git@5013f8fc929e8e3281b9d609e968a782e8e99530
    # via -r requirements-dev.in
certifi==2023.7.22
    # via
    #   requests
    #   sentry-sdk
cffi==1.15.1
    # via
    #   argon2-cffi-bindings
    #   cryptography
    #   pynacl
cfgv==3.3.1
    # via pre-commit
charset-normalizer==3.2.0
    # via requests
click==8.1.6
    # via
    #   -r requirements.in
    #   black
    #   django-click
    #   moreorless
    #   pip-tools
    #   ufmt
    #   usort
    #   uvicorn
concurrent-log-handler==0.9.24
    # via -r requirements.in
coverage==7.2.7
    # via
    #   -r requirements-dev.in
    #   django-coverage-plugin
cryptography==41.0.3
    # via
    #   authlib
    #   azure-identity
    #   azure-storage-blob
    #   msal
    #   paramiko
    #   pyjwt
decorator==5.1.1
    # via
    #   ipdb
    #   ipython
defusedxml==0.7.1
    # via willow
dill==0.3.7
    # via pylint
distlib==0.3.7
    # via virtualenv
dj-database-url==2.0.0
    # via -r requirements.in
django==3.2.20
    # via
    #   -r requirements.in
    #   dj-database-url
    #   django-cors-headers
    #   django-csp
    #   django-debug-toolbar
    #   django-extensions
    #   django-filter
    #   django-jsonform
    #   django-model-utils
    #   django-modelcluster
    #   django-notifications-hq
    #   django-permissionedforms
    #   django-picklefield
    #   django-redis
    #   django-storages
    #   django-stubs
    #   django-stubs-ext
    #   django-taggit
    #   django-treebeard
    #   django-watchfiles
    #   djangorestframework
    #   drf-spectacular
    #   graphene-django
    #   jsonfield
    #   wagtail
    #   wagtail-localize
django-click==2.3.0
    # via -r requirements.in
django-constance==3.1.0
    # via -r requirements.in
django-cors-headers==4.2.0
    # via -r requirements.in
django-coverage-plugin==3.1.0
    # via -r requirements-dev.in
django-csp==3.7
    # via -r requirements.in
django-debug-toolbar==4.1.0
    # via -r requirements-dev.in
django-extensions==3.2.3
    # via -r requirements-dev.in
django-filter==23.2
    # via wagtail
django-ipware==5.0.0
    # via -r requirements.in
django-jsonform==2.18.0
    # via -r requirements.in
django-model-utils==4.3.1
    # via
    #   -r requirements.in
    #   django-notifications-hq
django-modelcluster==6.0
    # via wagtail
django-notifications-hq==1.8.2
    # via -r requirements.in
django-permissionedforms==0.1
    # via wagtail
django-picklefield==3.1
    # via django-constance
django-ratelimit==4.1.0
    # via -r requirements.in
django-redis==5.3.0
    # via -r requirements.in
django-storages==1.13.2
    # via -r requirements.in
django-stubs==4.2.3
    # via
    #   -r requirements-dev.in
    #   djangorestframework-stubs
django-stubs-ext==4.2.2
    # via django-stubs
django-taggit==4.0.0
    # via wagtail
django-treebeard==4.7
    # via wagtail
django-watchfiles @ https://github.com/q0w/django-watchfiles/archive/issue-1.zip
    # via -r requirements-dev.in
djangorestframework==3.14.0
    # via
    #   -r requirements.in
    #   drf-spectacular
    #   wagtail
djangorestframework-stubs==3.14.2
    # via -r requirements-dev.in
draftjs-exporter==2.1.7
    # via wagtail
drf-spectacular==0.26.4
    # via -r requirements.in
environs==9.5.0
    # via -r requirements.in
et-xmlfile==1.1.0
    # via openpyxl
exceptiongroup==1.1.2
    # via
    #   anyio
    #   pytest
execnet==2.0.2
    # via pytest-xdist
executing==1.2.0
    # via stack-data
factory-boy==3.3.0
    # via
    #   -r requirements-dev.in
    #   wagtail-factories
faker==19.3.0
    # via factory-boy
filelock==3.12.2
    # via virtualenv
filetype==1.2.0
    # via willow
flake8==6.1.0
    # via
    #   -r requirements-dev.in
    #   flake8-isort
flake8-isort==6.0.0
    # via -r requirements-dev.in
freezegun==1.2.2
    # via -r requirements-dev.in
gitdb==4.0.10
    # via gitdb2
gitdb2==4.0.2
    # via gitpython
gitpython==3.0.6
    # via trufflehog
graphene==3.3
    # via graphene-django
graphene-django==3.1.5
    # via wagtail-grapple
graphql-core==3.2.3
    # via
    #   graphene
    #   graphene-django
    #   graphql-relay
graphql-relay==3.2.0
    # via
    #   graphene
    #   graphene-django
gunicorn==21.2.0
    # via -r requirements.in
h11==0.14.0
    # via uvicorn
html5lib==1.1
    # via wagtail
httptools==0.6.0
    # via uvicorn
identify==2.5.26
    # via pre-commit
idna==3.4
    # via
    #   anyio
    #   requests
inflection==0.5.1
    # via drf-spectacular
iniconfig==2.0.0
    # via pytest
ipdb==0.13.13
    # via -r requirements-dev.in
ipython==8.14.0
    # via ipdb
isodate==0.6.1
    # via azure-storage-blob
isort==5.12.0
    # via
    #   flake8-isort
    #   pylint
jedi==0.19.0
    # via ipython
jmespath==1.0.1
    # via
    #   boto3
    #   botocore
jsonfield==3.1.0
    # via django-notifications-hq
jsonschema==4.19.0
    # via drf-spectacular
jsonschema-specifications==2023.7.1
    # via jsonschema
l18n==2021.3
    # via wagtail
lazy-object-proxy==1.9.0
    # via astroid
libcst==1.0.1
    # via
    #   ufmt
    #   usort
marshmallow==3.20.1
    # via environs
matplotlib-inline==0.1.6
    # via ipython
mccabe==0.7.0
    # via
    #   flake8
    #   pylint
moreorless==0.4.0
    # via
    #   ufmt
    #   usort
msal==1.23.0
    # via
    #   azure-identity
    #   msal-extensions
msal-extensions==1.0.0
    # via azure-identity
mypy==1.4.1
    # via
    #   -r requirements-dev.in
    #   django-stubs
    #   djangorestframework-stubs
mypy-extensions==1.0.0
    # via
    #   black
    #   mypy
    #   typing-inspect
newrelic==8.11.0
    # via -r requirements.in
nodeenv==1.8.0
    # via pre-commit
openpyxl==3.1.2
    # via
    #   -r requirements.in
    #   wagtail
packaging==23.1
    # via
    #   black
    #   build
    #   gunicorn
    #   marshmallow
    #   pytest
    #   pytest-sugar
paramiko==3.3.1
    # via -r requirements.in
parso==0.8.3
    # via jedi
pathspec==0.11.2
    # via
    #   black
    #   trailrunner
pexpect==4.8.0
    # via ipython
pickleshare==0.7.5
    # via ipython
pillow==10.0.0
    # via
    #   -r requirements.in
    #   pillow-heif
    #   wagtail
pillow-heif==0.13.0
    # via willow
pip-tools==7.3.0
    # via -r requirements-dev.in
platformdirs==3.10.0
    # via
    #   black
    #   pylint
    #   virtualenv
pluggy==1.2.0
    # via pytest
polib==1.2.0
    # via wagtail-localize
portalocker==2.7.0
    # via
    #   concurrent-log-handler
    #   msal-extensions
pre-commit==3.3.3
    # via -r requirements-dev.in
promise==2.3
    # via graphene-django
prompt-toolkit==3.0.39
    # via ipython
psycopg2-binary==2.9.7
    # via -r requirements.in
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.2
    # via stack-data
pycodestyle==2.11.0
    # via flake8
pycparser==2.21
    # via cffi
pycryptodome==3.18.0
    # via -r requirements.in
pyflakes==3.1.0
    # via flake8
pygments==2.16.1
    # via ipython
pyjwt[crypto]==2.8.0
    # via
    #   msal
    #   pyjwt
pylint==2.17.5
    # via
    #   pylint-django
    #   pylint-plugin-utils
pylint-django==2.5.3
    # via -r requirements-dev.in
pylint-plugin-utils==0.8.2
    # via pylint-django
pynacl==1.5.0
    # via paramiko
pyproject-hooks==1.0.0
    # via build
pytest==7.4.0
    # via
    #   -r requirements-dev.in
    #   pytest-django
    #   pytest-sugar
    #   pytest-xdist
pytest-django==4.5.2
    # via -r requirements-dev.in
pytest-sugar==0.9.7
    # via -r requirements-dev.in
pytest-xdist==3.5.0
    # via -r requirements-dev.in
python-dateutil==2.8.2
    # via
    #   -r requirements.in
    #   botocore
    #   faker
    #   freezegun
python-dotenv==1.0.0
    # via
    #   environs
    #   uvicorn
python-http-client==3.3.7
    # via sendgrid
python-json-logger==2.0.7
    # via -r requirements.in
python-slugify==8.0.1
    # via -r requirements.in
pytz==2023.3
    # via
    #   -r requirements.in
    #   django
    #   django-modelcluster
    #   django-notifications-hq
    #   djangorestframework
    #   l18n
pyyaml==6.0.1
    # via
    #   caprover-api
    #   drf-spectacular
    #   libcst
    #   pre-commit
    #   uvicorn
redis==4.6.0
    # via
    #   -r requirements.in
    #   django-redis
referencing==0.30.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.31.0
    # via
    #   azure-core
    #   caprover-api
    #   djangorestframework-stubs
    #   msal
    #   wagtail
rpds-py==0.9.2
    # via
    #   jsonschema
    #   referencing
s3transfer==0.6.1
    # via boto3
sendgrid==6.10.0
    # via -r requirements.in
sentry-sdk==1.29.2
    # via -r requirements.in
six==1.16.0
    # via
    #   asttokens
    #   azure-core
    #   html5lib
    #   isodate
    #   l18n
    #   promise
    #   python-dateutil
smmap==5.0.0
    # via gitdb
sniffio==1.3.0
    # via anyio
soupsieve==2.4.1
    # via beautifulsoup4
sqlparse==0.4.4
    # via
    #   django
    #   django-debug-toolbar
stack-data==0.6.2
    # via ipython
starkbank-ecdsa==2.2.0
    # via sendgrid
stdlibs==2022.10.9
    # via usort
structlog==23.1.0
    # via -r requirements.in
swapper==1.3.0
    # via django-notifications-hq
telepath==0.3.1
    # via wagtail
termcolor==2.3.0
    # via pytest-sugar
text-unidecode==1.3
    # via
    #   graphene-django
    #   python-slugify
toml==0.10.2
    # via usort
tomli==2.0.1
    # via
    #   black
    #   build
    #   django-stubs
    #   ipdb
    #   mypy
    #   pip-tools
    #   pylint
    #   pyproject-hooks
    #   pytest
tomlkit==0.12.1
    # via
    #   pylint
    #   ufmt
trailrunner==1.4.0
    # via
    #   ufmt
    #   usort
traitlets==5.9.0
    # via
    #   ipython
    #   matplotlib-inline
trufflehog==2.2.1
    # via -r requirements-dev.in
trufflehogregexes==0.0.7
    # via trufflehog
types-pytz==2023.3.0.0
    # via django-stubs
types-pyyaml==6.0.12.11
    # via
    #   django-stubs
    #   djangorestframework-stubs
types-requests==2.31.0.2
    # via djangorestframework-stubs
types-urllib3==1.26.25.14
    # via types-requests
typing-extensions==4.7.1
    # via
    #   asgiref
    #   astroid
    #   azure-core
    #   azure-storage-blob
    #   dj-database-url
    #   django-stubs
    #   django-stubs-ext
    #   djangorestframework-stubs
    #   libcst
    #   mypy
    #   typing-inspect
    #   ufmt
    #   uvicorn
    #   wagtail-localize
typing-inspect==0.9.0
    # via libcst
ufmt==2.2.0
    # via -r requirements-dev.in
uritemplate==4.1.1
    # via drf-spectacular
urllib3==1.26.16
    # via
    #   botocore
    #   requests
    #   sentry-sdk
usort==1.0.7
    # via ufmt
uvicorn[standard]==0.23.2
    # via -r requirements.in
uvloop==0.17.0
    # via uvicorn
virtualenv==20.24.2
    # via pre-commit
wagtail==5.1
    # via
    #   -r requirements.in
    #   wagtail-factories
    #   wagtail-grapple
    #   wagtail-headless-preview
    #   wagtail-localize
wagtail-factories==4.1.0
    # via -r requirements.in
wagtail-grapple==0.20.0
    # via -r requirements.in
wagtail-headless-preview==0.6.0
    # via wagtail-grapple
wagtail-localize==1.5.1
    # via -r requirements.in
watchfiles==0.19.0
    # via
    #   django-watchfiles
    #   uvicorn
wcwidth==0.2.6
    # via prompt-toolkit
webencodings==0.5.1
    # via html5lib
websockets==11.0.3
    # via uvicorn
wheel==0.41.1
    # via pip-tools
whitenoise[brotli]==6.5.0
    # via -r requirements.in
willow[heif]==1.6.1
    # via
    #   wagtail
    #   willow
wrapt==1.15.0
    # via astroid

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
